# Class Reference
[ module]

More...

     #include <>

- List of all members, including inherited members

## Detailed Description

## Member Type Documentation

### enum QGraphicsScene::ItemIndexMethod

This enum describes the indexing algorithms QGraphicsScene provides for managing positional information about items on the scene.

Constant | Value | Description
--- | --- | ---
`QGraphicsScene::BspTreeIndex` | `0` | A Binary Space Partitioning tree is applied. All QGraphicsScene's item location algorithms are of an order close to logarithmic complexity, by making use of binary search. Adding, moving and removing items is logarithmic. This approach is best for static scenes (i.e., scenes where most items do not move).
`QGraphicsScene::NoIndex` | `-1` | No index is applied. Item location is of linear complexity, as all items on the scene are searched. Adding, moving and removing items, however, is done in constant time. This approach is ideal for dynamic scenes, where many items are added, moved or removed continuously.

## Property Documentation

### backgroundBrush : QBrush

This property holds the background brush of the scene.

Set this property to changes the scene's background to a different color, gradient or texture. The default background brush is Qt::NoBrush. The background is drawn before (behind) the items.

// a blue background scene.setBackgroundBrush(Qt::blue);

Access functions:

- QBrush backgroundBrush () const
- void setBackgroundBrush ( const QBrush & brush )

## Member Function Documentation

### QGraphicsScene::QGraphicsScene ( QObject * parent = 0 )

Constructs a QGraphicsScene object. The parent parameter is passed to QObject's constructor.